[Little John Infofile v0.2]
---------------------------


Little John is a nes emulator, written as a school project.

Currently, it supports :

	* nomapper, mapper 1,2,4 but it will increase rapidly.
	* 2 main sound channels (the 2 squares)
	* 2 joypads, linked with keyboard
	   keys should be : arrows and x,c,s,d for player1
			    4,6,5,8 7,9,1,2 for player2
		order is left,right,down,up button1,b2,select,start
        * Load/Save state is buggy, you can save with SHIFT+Fn and load with Fn, 0<=n<=12
	* 8 bits video mode, zoom can be 1:1 or 1:2.

Command line options : 

	-fskip n: change the frame skip rate, auto frame skip still not implemented.
	-mapper n: force to mapper n, usefull for the bad roms (like contra2 and ff2 for me)
	-sound : enable sound
	-dres : double the resolution, using a scanline mode (256x240->640x480)
	-full : fullscreen mode if available (320x200, 8 lines skipped)
	-buff n : sound buffer, must be a power of 2
	-freq n : sound frequency, I advice n=22050


  You can find new versions on http://altern.org/ymagnien and soon on
http://ljohn.romulation.net

  Contact us at : magnien@ensicaen.ismra.fr or villemin@ensicaen.ismra.fr

  This is an OpenSource project.
